## ros-melodic-rocon-app-manager-msgs 0.9.0

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_app_manager_msgs)

##############################################################################
# Dependencies
##############################################################################

find_package(catkin REQUIRED COMPONENTS 
    message_generation
    rocon_std_msgs
    rocon_service_pair_msgs
    )

##############################################################################
# Messgaes
##############################################################################

add_message_files(
  DIRECTORY msg
  FILES
  Rapp.msg
  RappList.msg
  Constants.msg
  ErrorCodes.msg
  IncompatibleRappList.msg
  PublicInterface.msg
  PublishedInterface.msg
  Status.msg
)

add_service_files(
  DIRECTORY srv
  FILES
  GetRappList.srv
  Init.srv
  Invite.srv
  StartRapp.srv
  StopRapp.srv
)

generate_messages(DEPENDENCIES rocon_std_msgs)

##############################################################################
# Package
##############################################################################

catkin_package(CATKIN_DEPENDS 
    message_runtime
    rocon_std_msgs
)

=== debian/changelog ===
ros-melodic-rocon-app-manager-msgs (0.9.0-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 07 Apr 2019 03:32:26 -0000

ros-melodic-rocon-app-manager-msgs (0.7.12-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 09 Jul 2015 04:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.7.11-0bionic) bionic; urgency=high

  * [rocon_app_manager_msgs] published interface types.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 27 May 2015 04:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.7.10-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 06 Apr 2015 04:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.7.9-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 09 Feb 2015 05:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.7.8-0bionic) bionic; urgency=high

  * new error code for stopping a rapp that is not listed.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 21 Nov 2014 05:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.7.6-0bionic) bionic; urgency=high

  * Merge pull request #97 <https://github.com/robotics-in-concert/rocon_msgs/issues/97> from robotics-in-concert/multiple_impl
    add selected fieled to indicate which rapp virtual uses
  * rename as preferred
  * Merge pull request #96 <https://github.com/robotics-in-concert/rocon_msgs/issues/96> from robotics-in-concert/multiple_impl
  * remove required_capabilities and add implementations in rapp.msg
  * explanation for the rapp message.
  * Export architecture_independent flag in package.xml
  * add parameters in list rapp and start rapp
  * rocon_app_manager_msgs: error: unconfigured build_depend on 'rocon_service_pair_msg
  * Contributors: Daniel Stonier, Jihoon Lee, Scott K Logan

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 25 Aug 2014 04:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.7.4-0bionic) bionic; urgency=high

  * GetStatus removed in favour of a newly created Status latched publisher.
  * App -> Rapp refactoring.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 05 May 2014 04:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.7.0-0bionic) bionic; urgency=high

  * major redesign focusing on the orchestration platform prototype.

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 29 Mar 2014 04:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.6.3-0bionic) bionic; urgency=high

  * rocon_std_msgs centralises some app manager messages for sharing.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Oct 2013 04:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.6.2-0bionic) bionic; urgency=high

  * report details of currently running app

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 11 Sep 2013 04:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.6.1-0bionic) bionic; urgency=high

  * simple invite service for relaying invitations by intelligent lurkers (e.g. pairing master).

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.6.0-0bionic) bionic; urgency=high

  * 0.5.2
  * Merge pull request #20 <https://github.com/robotics-in-concert/rocon_msgs/issues/20> from robotics-in-concert/pairing
    Pairing
  * PairingApp->PairingClient, more accurate terminology.
  * 0.5.1
  * added an icon to the platform info message.
  * 0.5.0
  * fix typo in constant assignation.
  * multi-rapp error message.
  * updated messages for pairing mode.
  * for latched app list publisher
  * backwards compatible app list and appdescription -> app changes.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Aug 2013 22:58:00 -0000

ros-melodic-rocon-app-manager-msgs (0.5.3-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Aug 2013 23:04:00 -0000

ros-melodic-rocon-app-manager-msgs (0.5.2-0bionic) bionic; urgency=high

  * Merge pull request #20 <https://github.com/robotics-in-concert/rocon_msgs/issues/20> from robotics-in-concert/pairing
    Pairing
  * PairingApp->PairingClient, more accurate terminology.
  * added an icon to the platform info message.
  * fix typo in constant assignation.
  * multi-rapp error message.
  * updated messages for pairing mode.
  * for latched app list publisher
  * backwards compatible app list and appdescription -> app changes.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 17 Jul 2013 04:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.5.1-0bionic) bionic; urgency=high

  * 0.5.0
  * Merge pull request #18 <https://github.com/robotics-in-concert/rocon_msgs/issues/18> from robotics-in-concert/hydro-devel
    back port from hydro to groovy
  * proper dependency exporting for rocon msgs.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 10 Jun 2013 17:28:55 -0400

ros-melodic-rocon-app-manager-msgs (0.5.0-0bionic) bionic; urgency=high

  * local_client_name->application_namespace
  * Invite with client local name
  * Invite with client local name
  * updates for rapp manager's stop app functionality.
  * more clear on what the namespace is here.
  * 0.4.0

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 04:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.3.0-0bionic) bionic; urgency=high

  * fix broken cmake for reshuffled messages.
  * update jihoon email
  * concert status -> app manager status, part of first redesign.
  * status message brought back into app manager.
  * remote_control -> invite, start on general app design
  * rocon_app_manager messages now fully realised in rocon_app_manager_msgs.
  * platform info constants -> platform info msg.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 Feb 2013 05:00:00 -0000

ros-melodic-rocon-app-manager-msgs (0.2.1-0bionic) bionic; urgency=high

  * PlatformInfo msg GetPlatformInfo srv moved from concert to app manager. RemoteGatewayInfo srv typo


=== debian/control ===
Source: ros-melodic-rocon-app-manager-msgs
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-rocon-service-pair-msgs, ros-melodic-rocon-std-msgs
Homepage: http://www.ros.org/wiki/rocon_app_manager_msgs
Standards-Version: 3.9.2

Package: ros-melodic-rocon-app-manager-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-rocon-service-pair-msgs, ros-melodic-rocon-std-msgs
Description: Messages used by the platform app manager.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rocon-app-manager-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
